
Figure - Bug #118716
IOVDEV-33552【内部】【VC1】【0106】【台架】【EE环境】【副屏】【launcher】桌面编辑状态，勾选系统
应用+第三方应用-卸载，卸载完第三方应用后卸载按钮未置灰
2023-06-09 15:43 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-09

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-10

Test Type: ST Root cause: 编码问题

Description

【环境信息】：EE环境

【问题出现时间】：20230608 17:13，第226次开机

【前提条件】：长按桌面2S进入编辑状态

【操作步骤】：勾选系统应用+第三方应用，卸载

【实际结果】：卸载完第三方应用后卸载按钮未置灰

【期望结果】：成功卸载第三方应用，"卸载"按钮置灰显示

【备注】：https://ofs.human-horizons.com/#/download/index/UrqMlUm%2BSl8%3D

【副屏版本号】：01.00.0106.C104

【中控版本号】：03.02.0088.C103.02_userdebug_2306021732

【VIN】HRYTTESTVINMGM403

History

#1 - 2023-06-09 15:51 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-06-09 16:55 - CD APP-王宏

- % Done changed from 0 to 50

- Root cause set to 编码问题

■ Current conclusion

已提交

■ My analysis

逻辑问题，未判断选中应用中是否存在可卸载的应用（非系统应用）

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/206027

#3 - 2023-06-09 17:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

206027 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com
AF:Launcher:Uninstall button should gray when donot has third part appTC-RID: 0301-0205304IssueID: TS-R-BUG-118716Change-Id:

I34a37dfcb70ba79d5cf48055d87f40a4a917aa23

#4 - 2023-06-09 17:33 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-06-10

#5 - 2023-06-12 13:53 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306100050 版本验证通过

#6 - 2023-06-25 13:58 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
